Area Chair Console
AreaChairConsoleConfig : Object
Area Chair Console config doc
Kind: global typedef Properties
header
Object
mandatory but can be empty object
venueId
string
mandatory
reviewerAssignment
Object
optional
submissionInvitationId
string
mandatory
seniorAreaChairsId
string
optional
areaChairName
string
mandatory
secondaryAreaChairName
string
optional
submissionName
string
mandatory
officialReviewName
string
mandatory
reviewRatingName
string | Array.<string> | Array.<object>
mandatory
reviewConfidenceName
string
optional
officialMetaReviewName
string
mandatory
reviewerName
string
mandatory
anonReviewerName
string
mandatory
metaReviewRecommendationName
string
optional
additionalMetaReviewFields
Array.<string>
optional
shortPhrase
string
mandatory
filterOperators
Array.<string>
optional
propertiesAllowed
Array.<Object>
optional
enableQuerySearch
boolean
optional
emailReplyTo
string
optional
extraExportColumns
Array.<Object>
optional
preferredEmailInvitationId
string
optional
ithenticateInvitationId
string
optional
extraRoleNames
Array.<string>
optional
sortOptions
Array.<Object>
optional
displayReplyInvitations
Array.<Object>
optional
customStageInvitations
Array.<Object>
optional
AreaChairConsoleConfig :
Object.header :
Object.venueId :
string.reviewerAssignment :
Object.submissionInvitationId :
string.seniorAreaChairsId :
string.areaChairName :
string.secondaryAreaChairName :
string.submissionName :
string.officialReviewName :
string.reviewConfidenceName :
string.officialMetaReviewName :
string.reviewerName :
string.anonReviewerName :
string.metaReviewRecommendationName :
string.additionalMetaReviewFields :
Array.<string>.shortPhrase :
string.filterOperators :
Array.<string>.propertiesAllowed :
Array.<object>.enableQuerySearch :
boolean.emailReplyTo :
string.extraExportColumns :
Array.<object>.preferredEmailInvitationId :
string.ithenticateInvitationId :
string.extraRoleNames :
Array.<string>.sortOptions :
Array.<object>.displayReplyInvitations :
Array.<object>.customStageInvitations :
Array.<object>
AreaChairConsoleConfig.header : Object
Page header. Contains two string fields: "title" and "instructions" (markdown supported)
Kind: static property of AreaChairConsoleConfig
Default: no default value
Example
AreaChairConsoleConfig.venueId : string
Used to construct banner content, referrer link and various group/invitation ids. The value is usually domain.id
Kind: static property of AreaChairConsoleConfig
Default: "no default value"
Example
AreaChairConsoleConfig.reviewerAssignment : Object
An object which can contain the following fields:
showEdgeBrowserUrl (boolean): a flag to control whether to show link to edge browser to edit reviewer assignments
proposedAssignmentTitle (string): the title of the proposed assignment config note. if provided, edgeBrowserProposedUrl will be used as the link to the edge browser, otherwise edgeBrowserDeployedUrl will be used
edgeBrowserProposedUrl (string): the url to edge browser to edit (proposed) assignments. shown in instructions when showEdgeBrowserUrl is true and proposedAssignmentTitle is provided
edgeBrowserDeployedUrl (string): the url to edge browser to edit deployed assignments. shown in instructions when showEdgeBrowserUrl is true and proposedAssignmentTitle is not provided
Kind: static property of AreaChairConsoleConfig
Default: no default value
Example
AreaChairConsoleConfig.submissionInvitationId : string
Used as the invitation to query notes to be displayed in console
Kind: static property of AreaChairConsoleConfig
Default: "no default value"
Example
AreaChairConsoleConfig.seniorAreaChairsId : string
The SAC group id. Used to construct SAC-AC assignment invitation id to query SAC assignment edges and to construct the SAC display text
Kind: static property of AreaChairConsoleConfig
Default: "no default value"
Example
AreaChairConsoleConfig.areaChairName : string
The name of ACs group used in group id. Used to identify ACs group anonymous AC group
Kind: static property of AreaChairConsoleConfig
Default: "no default value"
Example
AreaChairConsoleConfig.secondaryAreaChairName : string
The name of Secondary ACs group used in group id. Used to identify Secondary ACs group to determine the submission to show in AC triplet(Secondary AC) tab
Kind: static property of AreaChairConsoleConfig
Default: "no default value"
Example
AreaChairConsoleConfig.submissionName : string
Name of submission, used to construct group id, query param, error message etc
Kind: static property of AreaChairConsoleConfig
Default: "no default value"
Example
AreaChairConsoleConfig.officialReviewName : string
Name of official reviews, used in label text and to construct official review invitation id
Kind: static property of AreaChairConsoleConfig
Default: "no default value"
Example
AreaChairConsoleConfig.reviewConfidenceName : string
Name of confidence field in official review.
Kind: static property of AreaChairConsoleConfig
Default: "no default value"
Example
AreaChairConsoleConfig.officialMetaReviewName : string
Name of meta review. Used in label text and to construct meta review invitation id.
Kind: static property of AreaChairConsoleConfig
Default: "no default value"
Example
AreaChairConsoleConfig.reviewerName : string
Used to construct label text and for filtering reviewers group
Kind: static property of AreaChairConsoleConfig
Default: "'Reviewers'"
Example
AreaChairConsoleConfig.anonReviewerName : string
Used to filter anonymous reviewer groups
Kind: static property of AreaChairConsoleConfig
Default: "'Reviewer_'"
Example
AreaChairConsoleConfig.metaReviewRecommendationName : string
Name of recommendation field in meta review
Kind: static property of AreaChairConsoleConfig
Default: "'recommendation'"
Example
AreaChairConsoleConfig.additionalMetaReviewFields : Array.<string>
Additional fields to display from meta review
Kind: static property of AreaChairConsoleConfig
Default: []
Example
AreaChairConsoleConfig.shortPhrase : string
Used in text when messaging reviewers
Kind: static property of AreaChairConsoleConfig
Default: "no default value"
Example
AreaChairConsoleConfig.filterOperators : Array.<string>
The query search operator allowed
Kind: static property of AreaChairConsoleConfig
Default: no default value set in AC Console, default to ['!=', '>=', '<=', '>', '<', '==', '='] in menu bar
Example
AreaChairConsoleConfig.propertiesAllowed : Array.<object>
Properties allowed in query search apart from default properties defined in menu bar
Kind: static property of AreaChairConsoleConfig
Default: no default value
Example
AreaChairConsoleConfig.enableQuerySearch : boolean
Controls whether to enable query search in menu bar, if not set or set to false, only basic search is available (filterOperators and propertiesAllowed will be ignored)
Kind: static property of AreaChairConsoleConfig
Default: no default value, equivalent to false
Example
AreaChairConsoleConfig.emailReplyTo : string
replyto of the emails sent from console
Kind: static property of AreaChairConsoleConfig
Default: "no default value"
Example
AreaChairConsoleConfig.extraExportColumns : Array.<object>
Extra data in the CSV export. Each object contains a header prop (header in exported csv) and a getValue string which is a function that takes row data as param and read the value required in export
Kind: static property of AreaChairConsoleConfig
Default: no default value
Example
AreaChairConsoleConfig.preferredEmailInvitationId : string
Invitation id to get preferred email edges to show SAC contact
Kind: static property of AreaChairConsoleConfig
Default: "no default value"
Example
AreaChairConsoleConfig.ithenticateInvitationId : string
Invitation id to get iThenticate edges to show in paper summary
Kind: static property of AreaChairConsoleConfig
Default: "no default value"
Example
AreaChairConsoleConfig.extraRoleNames : Array.<string>
The role names of the AC to display a task tab for, task of each role apart from the AC role will be displayed in a separate tab
Kind: static property of AreaChairConsoleConfig
Default: no default value
Example (Two Task tabs will be displayed: Area Chair Tasks and Secondary Area Chair Tasks)
AreaChairConsoleConfig.sortOptions : Array.<object>
Custom sort options to be added apart from the default sort options in menu bar sorting dropdown, each object contains: label: the value to be shown in dropdown options, value: a value used as id of the dropdown options, getValue: a string function to calculate the order. getValue function has row data as input param
Kind: static property of AreaChairConsoleConfig
Default: no default value
Example (Following config add "Confidence Spread" in sorting dropdown)
AreaChairConsoleConfig.displayReplyInvitations : Array.<object>
The invitation id and field of the forum reply to be shown in a "Latest Replies" column. Each object has 2 fields: id: the invitation id to get reply, {number} in the id is replaced with the actual paper number. fields: an array of string specifying the reply field to show
Kind: static property of AreaChairConsoleConfig
Default: no default value
Example
AreaChairConsoleConfig.customStageInvitations : Array.<object>
config the custom stage replies to be shown under meta review status column. Each object can have 3 fields: name: construct the invitation id to fiter note replies, displayField: the field name to read from the custom stage note, extraDisplayFields: an string array with more fields to show from the custom stage note. Compared to the customStageInvitations config in PC/SAC console, it does not have role or repliesPerSubmission
Kind: static property of AreaChairConsoleConfig
Default: no default value
Example
Last updated
Was this helpful?